##### windows::basic_stream_handle::basic_stream_handle (5 of 5 overloads)

Move-construct a stream handle from another.

    basic_stream_handle(
        basic_stream_handle && other);

This constructor moves a stream handle from one object to another.

###### Parameters

other

  The other stream handle object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_stream_handle(const executor_type&)` constructor.